INTERFACE OrdnerADT;
(* Interface fr den ADT Ordner 
Autor : Horst Lichter, RWTH Aachen
Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0
Erstellt : 16.08.98
Letzte Aenderung: 09.01.2001
*)

TYPE Ordner <: REFANY;	(* Nur der name des ADT ist sichtbar *)

PROCEDURE LegeTextAb (VAR o: Ordner; t : TEXT);
(* Legt einen text t in den Ordner o ab *)

PROCEDURE EntnehmeText (VAR o: Ordner; ) : TEXT ;
(* Entnimmt dem Ordner o den letzten hinzugefuegten Text *)

PROCEDURE IstVoll ( o: Ordner; ) : BOOLEAN ;
(* Ist Ordner o voll wird TRUE zurck gegeben sonst FALSE *)

PROCEDURE IstLeer ( o: Ordner; ) : BOOLEAN ;
(* Ist der ordner o leer wird TRUE zurckgegeben sonst FALSE *)

PROCEDURE Beschrifte (VAR o: Ordner; t : TEXT);
(* legt den text t als beschriftung des Ordners o fest *)

PROCEDURE GibBeschriftung ( o: Ordner; ) : TEXT;
(* Gibt die Beschriftung des ordners o zurck *)

PROCEDURE Anlegen ( ) : Ordner;
(* Erstellt einen neuen Ordner und gibt diesen zurck *)

END OrdnerADT.