INTERFACE Assertion;

EXCEPTION Violated;	(* Definition der mglichen Ausnahmen *)
          Terminate;

PROCEDURE Require (expr : BOOLEAN; procName: TEXT) RAISES {Violated};
(* Vorbedingung, sind die Assertions eingeschaltet und ist expr FALSE so wird eine 
   Fehlermeldung ausgegeben und eine EXCEPTION ausgelst *)

PROCEDURE Ensure  (expr : BOOLEAN; procName: TEXT) RAISES {Violated};
(* Nachbedingung, sind die Assertions eingeschaltet und ist expr FALSE so wird eine 
   Fehlermeldung ausgegeben und eine EXCEPTION ausgelst *)

(* Diese beiden Proceduren dienen zum ein- und ausschalten der zusicherungen *)
PROCEDURE EnableAssertions();
PROCEDURE DisableAssertions();

END Assertion.