MODULE Geo_Test  EXPORTS Main;

(* Testprogramm fr die Geometrie Objekte
Autor : Horst Lichter, RWTH Aachen
Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0
Erstellt : 16.08.98
Letzte Aenderung: 09.01.2001
*)


IMPORT PointO,  SIO, Rectangle, DisplayableRectangle; (* Objekt Module werde importiert *)
VAR 
   p1, p2, p3 := NEW(PointO.T);		(* neue Instanzen der Objekte werden angelegt *)
   r1 := NEW(DisplayableRectangle.T);

BEGIN
 (* Die Methoden der Objekte werden aufgerufen *)
  p1.setX(10);
  p1.setY(10);
  SIO.PutLine(p1.asText());

  p2.setX(100);
  p2.setY(100);
  SIO.PutLine(p2.asText());

  r1.setOrigin(p1);
  r1.setCorner(p2);
  r1.setColor("black");
  SIO.PutLine(r1.asText());

  p3.setX(50);
  p3.setY(50);
  SIO.PutLine(p3.asText());
  
  r1.moveTo(p3);
  SIO.PutLine(r1.asText());



  

END Geo_Test.