INTERFACE PointO;

(* Interface/Public teil der Point0 Klasse.
Autor : Horst Lichter, RWTH Aachen
Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0
Erstellt : 16.08.98
Letzte Aenderung: 09.01.2001
*)

TYPE T <: PublicPoint; 

     PublicPoint = ROOT OBJECT	  (* Der ffentliche Teil des Objekts wir defeniert *)
              METHODS
                getX(): INTEGER;	(* Gibt den mit set X gesetzten wert aus *)
                setX (value : INTEGER);	(* setzt den X wert *)
                getY (): INTEGER;	(* Gibt den mit set Y gesetzten wert aus *)
                setY (value : INTEGER);	(* setzt den Y wert *)
                add (p: T) : T;		(* Addiert den x und y wert der Objekte p und self (aufrufendes Modul) *)
                minus (p : T) : T;	(* Subtrahiert den x und y wert des Objekts p von dem x und y Wert von self (aufrufendes Modul) *)
                asText(): TEXT;		(* Gibt den x und y wert als TEXT zurck *)
              END;
END PointO.